// EEnumeratorT.h: interface for the EEnumeratorT class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EENUMERATORT_H__517F8E0D_B9C1_4E51_AFA0_F78B0ACD4C41__INCLUDED_)
#define AFX_EENUMERATORT_H__517F8E0D_B9C1_4E51_AFA0_F78B0ACD4C41__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "ExcNoMoreElement.h"

template<class TypeElement>
class EEnumeratorT  
{
public:
  EEnumeratorT() {}
  virtual ~EEnumeratorT() {}

  /*!
   * Tests if there are more elements available.
   * @return \c true if there are still some elements available, otherwise
   *         return \c false.
   */
  virtual bool hasNext() =0;

  /*!
   * Returns the next element.
   * @return The next element.
   * @exception ExcNoMoreElement if there are no more element available.
   */
  virtual TypeElement &next() =0;
};

#endif // !defined(AFX_EENUMERATORT_H__517F8E0D_B9C1_4E51_AFA0_F78B0ACD4C41__INCLUDED_)
