// EListCleanerT.h: interface for the EListCleanerT class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ELISTCLEANERT_H__931EE2B2_9833_11D3_AABD_E8D24E3A7463__INCLUDED_)
#define AFX_ELISTCLEANERT_H__931EE2B2_9833_11D3_AABD_E8D24E3A7463__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

template< class Item >
class EListCleanerT  
{
public:
  typedef Item TypeItem;
  typedef EListCleanerT<Item> TypeCleaner;

  EListCleanerT() {}
  virtual ~EListCleanerT() {}

  virtual void destroy( Item &item ) =0;

};


template< class Item >
class EListCleanerNoneT : public EListCleanerT<Item>
{
public:
  typedef Item TypeItem;
  typedef EListCleanerNoneT<Item> TypeCleaner;

  EListCleanerNoneT() {}
  virtual ~EListCleanerNoneT() {}

  virtual void destroy( Item &item ) {}
};


template< class Item >
class EListCleanerPtrT : public EListCleanerT<Item>
{
public:
  typedef Item TypeItem;
  typedef EListCleanerPtrT<Item> TypeCleaner;

  EListCleanerPtrT() {}
  virtual ~EListCleanerPtrT() {}

  virtual void destroy( Item &item );
};


template< class Item >
inline void 
EListCleanerPtrT<Item>::destroy( Item &item )
{
  delete item;
}

#endif // !defined(AFX_ELISTCLEANERT_H__931EE2B2_9833_11D3_AABD_E8D24E3A7463__INCLUDED_)
