// ###########################################################################
// File: Exc.cpp
// (c)Copyright 08/1998, Baptiste Lepilleur (Aka Elyon from Zuul Design)
// ###########################################################################

#include "usuel.hpp"
#include "Exc.hpp"

EXC &
EXC::setContext( UL nLine,
                 const char *sSourceFile )
{
  _nLine = nLine;
  if ( sSourceFile )
  {
    strncpy( _sSourceFile, sSourceFile, 511 );
    _sSourceFile[ EMIN( (int)strlen( sSourceFile), 511 ) ] = 0;
  }
  else
    _sSourceFile[ 0 ] = 0;
  return *this;
}


void 
EXC::dump()
{
/*
  TCHAR sBuffer[ 2048 ];
  _stprintf( sBuffer, 
             "Exception:\n"
             " Class [ %s ]\n"
             " Information [ %s ]\n"
             " Line [%d]\n"
             " Source [ %s ]\n",
             className(),
             _sInfo ? _sInfo : "",
             _nLine,
             _sSourceFile ? _sSourceFile : "" );
  OutputDebugString( sBuffer );
*/
  fprintf( stderr,
           "Exception:\n"
           " Class [ %s ]\n"
           " Information [ %s ]\n"
           " Line [%d]\n"
           " Source [ %s ]\n",
           className(),
           _sInfo ? _sInfo : "",
           _nLine,
           _sSourceFile ? _sSourceFile : "" );
}
