#if !defined(AFX_TABMODEANALYSIS_H__3613F080_932A_11D1_91DF_EDCF65456C61__INCLUDED_)
#define AFX_TABMODEANALYSIS_H__3613F080_932A_11D1_91DF_EDCF65456C61__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// TabModeAnalysis.h : header file
//

#include "TtrEnclosureList.h"
#include "TtrDlgEnclosure.h"
#include "TtrEnclosure.h"
class TtrGlobalSetting;

/////////////////////////////////////////////////////////////////////////////
// CTabModeAnalysis dialog

class CTabModeAnalysis : public CPropertyPage,
                         public TtrEnclosureListListener   
{
	DECLARE_DYNCREATE(CTabModeAnalysis);

// Construction
	CTabModeAnalysis();
	~CTabModeAnalysis();

  // set member datas according to TTR mode
  void SetMode( const TtrGlobalSetting& mode );
  // get TTR mode matching member datas 
	void GetMode( TtrGlobalSetting& mode ) const;

// Dialog Data
	//{{AFX_DATA(CTabModeAnalysis)
	enum { IDD = IDD_MODE_ANALYSIS };
	BOOL	m_indentEmptyLine;
	BOOL	m_indentDoubleQuote;
	BOOL	m_indentIndentedLine;
	BOOL	m_indentPreviousLineIsEmpty;
	BOOL	m_indentSeparator;
	BOOL	m_indentScript;
	CString	m_strSeparatorChar;
	CString	_strBeginWith;
	BOOL	_bIndentBeginWith;
	CString	_strEnclosure;
	BOOL	_bEnclosure;
	BOOL	_bLeftMargin;
	int		_nLeftMargin;
	BOOL	_bNotLowerCaseLine;
	BOOL	_bEmailRule;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CTabModeAnalysis)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
	// Generated message map functions
	//{{AFX_MSG(CTabModeAnalysis)
	afx_msg void OnEnclosureSpecify();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

private:
  /**@shapeType DependencyLink*/
  /*#  TtrEnclosure lnkUnnamed1*/
  /**@shapeType DependencyLink*/
  /*#  TtrDlgEnclosure lnkUnnamed*/
  virtual void enclosureAdded( TtrEnclosureList &list, TtrEnclosure &enclosure );
  virtual void enclosureRemoved( TtrEnclosureList &list, TtrEnclosure *pEnclosure );
  virtual void enclosureListRenewed( TtrEnclosureList &list );
  void updateEnclosure();

  TtrEnclosureList _listEnclosure;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABMODEANALYSIS_H__3613F080_932A_11D1_91DF_EDCF65456C61__INCLUDED_)
