// //////////////////////////////////////////////////////////////////////////
// Header file TtrFmtEltAdapter.h for class TtrFmtEltAdapter
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2000/09/17
// //////////////////////////////////////////////////////////////////////////
#ifndef TTRFMTELTADAPTER_H
#define TTRFMTELTADAPTER_H


#include "TtrFmtEltVisitor.h"


/*! \class TtrFmtEltAdapter
 * \brief This class represents an adapter to visit formatted text elements...
 */
class TtrFmtEltAdapter : public TtrFmtEltVisitor
{
public:
  /*! Destructor.
   */
  virtual ~TtrFmtEltAdapter();

  /*! Visits a blank block.
   * @param blank Blank block.
   */
  virtual void visitBlank( TtrFmtBlank &blank ) {}

  /*! Visits a paragraph.
   * @param para Paragraph.
   */
  virtual void visitPara( TtrFmtPara &para ) {}
};



// Inlines methods for TtrFmtEltAdapter:
// -------------------------------------



#endif  // TTRFMTELTADAPTER_H
