// //////////////////////////////////////////////////////////////////////////
// Implementation file TtrFmtPara.cpp for class TtrFmtPara
// (c)Copyright 2000, Baptiste Lepilleur.
// Created: 2000/09/14
// //////////////////////////////////////////////////////////////////////////

#include "StdAfx.h"
#include "TtrFmtPara.h"
#include "TtrFmtEltVisitor.h"


TtrFmtPara::TtrFmtPara()
{
}


TtrFmtPara::TtrFmtPara( const EString &strContent,
                        SL nIndentLevel ) :
    _strContent( strContent ),
    _infoIndent( nIndentLevel )
{
}


TtrFmtPara::~TtrFmtPara()
{
}


TtrFmtElt::EltType 
TtrFmtPara::type() const
{
  return eltPara;
}


void 
TtrFmtPara::visit( TtrFmtEltVisitor &visitor )
{
  visitor.visitPara( *this );
}


bool 
TtrFmtPara::operator ==( const TtrFmtPara &cmpTo ) const
{
  return _infoIndent == cmpTo._infoIndent  &&
         _strContent == cmpTo._strContent  &&
         _format == cmpTo._format;
}


bool 
TtrFmtPara::operator !=( const TtrFmtPara &cmpTo ) const
{
  return !(*this == cmpTo );
}
