// TtrGlobalSettingListener.h: interface for the TtrGlobalSettingListener class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TTRGLOBALSETTINGLISTENER_H__F7DAF865_8CD9_4164_AF2C_5464E5F9E3C4__INCLUDED_)
#define AFX_TTRGLOBALSETTINGLISTENER_H__F7DAF865_8CD9_4164_AF2C_5464E5F9E3C4__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class TtrGlobalSetting;

class TtrGlobalSettingListener  
{
public:
	TtrGlobalSettingListener();
	virtual ~TtrGlobalSettingListener();

  /*!
   * Called when the global setting changed.
   * @param setting Settting that changed.
   */
  virtual void globalSettingChanged( TtrGlobalSetting &setting ) =0;
};

#endif // !defined(AFX_TTRGLOBALSETTINGLISTENER_H__F7DAF865_8CD9_4164_AF2C_5464E5F9E3C4__INCLUDED_)
