// EVector1.h: interface for the EVector1 class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_EVECTOR1_H__0ACF1848_AA66_11D2_BCF4_0040053AD648__INCLUDED_)
#define AFX_EVECTOR1_H__0ACF1848_AA66_11D2_BCF4_0040053AD648__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "EVector.h"

template<class EGmtVal>
class EVector1T : public EVector<1,EGmtVal>
{
public:
  EVector1T() {}

  EVector1T( EGmtVal fX );

  ~EVector1T() {}

  EGmtVal x() const;

  EVector1T &set( EGmtVal fX );
};


typedef EVector1T<float> EVector1;
typedef EVector1T<double> EVector1d;


template<class EGmtVal>
inline 
EVector1T<EGmtVal>::EVector1T( EGmtVal fX )
{
  set( fX );
}


template<class EGmtVal>
inline EGmtVal 
EVector1T<EGmtVal>::x() const
{
  return coord( 0 );
}


template<class EGmtVal>
inline EVector1T<EGmtVal> &
EVector1T<EGmtVal>::set( EGmtVal fX ) 
{
  setCoord( 0, fX );
  return *this;
}

#endif // !defined(AFX_EVECTOR1_H__0ACF1848_AA66_11D2_BCF4_0040053AD648__INCLUDED_)
