SET DIST_VER_MAJOR=1
SET DIST_VER_MINOR=6
SET DIST_VER_BUGFIX=5
SET DIST_VER=%DIST_VER_MAJOR%.%DIST_VER_MINOR%.%DIST_VER_BUGFIX%
SET DIST_VER_UNDERSCORE=%DIST_VER_MAJOR%_%DIST_VER_MINOR%_%DIST_VER_BUGFIX%
SET APP_DIRNAME=Ttr
SET DIST_BIN=dist\%APP_DIRNAME%
SET DIST_SRC=dist\%APP_DIRNAME%-%DIST_VER%

deltree /y dist
md dist
md %DIST_BIN%
md %DIST_SRC%

rem build application
SET TTR_APP_DIR=src\TtrApp
msdev.exe "%TTR_APP_DIR%\ttr.dsw" /MAKE "ttr - Release" /REBUILD

rem export source from CVS
cd %DIST_SRC%
cvs -Q export -d . -r HEAD vc/ttr
cd ..

rem build source zip dist
zip -9 -r -q %APP_DIRNAME%-Src-%DIST_VER_UNDERSCORE%.zip %APP_DIRNAME%-%DIST_VER%
cd ..

rem copy binary files for binary dist
copy %TTR_APP_DIR%\Release\ttr.exe %DIST_BIN%
xcopy /S /I %DIST_SRC%\examples %DIST_BIN%\examples
xcopy /S /I %DIST_SRC%\doc %DIST_BIN%\doc
copy index.html %DIST_BIN%
attrib +r -a -s -h %DIST_BIN%\examples\*.*

rem copy install maker file
copy Ttr.iit dist
dist\Ttr.iit
pause
