// DlgModes.cpp : implementation file
//

/* Notes: Les pages doivent etre ajoutee avant que CPropertySheet::OnInitDialog() soit appelee.
   => Dans le constructeur ou bien dans OnInitDialog() avant d'appeler CPropertySheet::OnInitDialog().
 */


#include "stdafx.h"
#include "resource.h"
#include "DlgModes.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgModes

IMPLEMENT_DYNAMIC(CDlgModes, CPropertySheet)

CDlgModes::CDlgModes(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
  init();
}

CDlgModes::~CDlgModes()
{
}


BEGIN_MESSAGE_MAP(CDlgModes, CPropertySheet)
	//{{AFX_MSG_MAP(CDlgModes)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgModes message handlers

BOOL CDlgModes::OnInitDialog() 
{
  BOOL bResult = CPropertySheet::OnInitDialog();
	
	return bResult;
}

// Add pages to the property sheet.
void CDlgModes::init()
{
  AddPage( &m_tabModeAnalysis );
	AddPage( &m_tabModeEOS );
	AddPage( &m_tabSavingSetting );
}

// set member datas according to TTR mode
void CDlgModes::SetMode( const TtrGlobalSetting& mode )
{
  m_tabModeAnalysis.SetMode( mode );
  m_tabModeEOS.SetMode( mode );
  m_tabSavingSetting.SetMode( mode );
}

// get TTR mode matching member datas 
void CDlgModes::GetMode( TtrGlobalSetting& mode ) const
{
  m_tabModeAnalysis.GetMode( mode );
  m_tabModeEOS.GetMode( mode );
  m_tabSavingSetting.GetMode( mode );
}
