// TtrTextLineCompositeMarker.h: interface for the TtrTextLineCompositeMarker class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TTRTEXTLINECOMPOSITEMARKER_H__7D56DB4B_5E23_46CF_B1F8_056F8F92FB74__INCLUDED_)
#define AFX_TTRTEXTLINECOMPOSITEMARKER_H__7D56DB4B_5E23_46CF_B1F8_056F8F92FB74__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "TtrTextLine.h"

class TtrTextLineCompositeMarker : public TtrTextLine  
{
public:
	TtrTextLineCompositeMarker();
	virtual ~TtrTextLineCompositeMarker();

  /** Is the line a composite text marker.
   * @return \c true if the line is a composite text markern otherwise returns \c false.
   *         A TtrTextLine always returns \c false.
   */
  bool isCompositeMarker() const;

};

#endif // !defined(AFX_TTRTEXTLINECOMPOSITEMARKER_H__7D56DB4B_5E23_46CF_B1F8_056F8F92FB74__INCLUDED_)
